<?php

/**
 * @link http://www.yiiframework.com/
 * @copyright Copyright (c) 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

namespace app\assets;

use yii\web\AssetBundle;
use yii\web\View;

/**
 * Main application asset bundle.
 *
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @since 2.0
 */
class AppAsset extends AssetBundle
{
    public $basePath = '@webroot';
    public $baseUrl = '@web';
    public $css = [
        '//fonts.googleapis.com/css?family=Open+Sans:400,700',
        'css/bootstrap/bootstrap.min.css',
        'css/main.css',
        'css/header.css',
        'css/notification.css',
        'css/info_panel.css',
        'css/categories_blocks_panel.css',
        'css/footer.css'
    ];
    public $js = [
        'https://kit.fontawesome.com/d7e922c226.js',
        'js/bootstrap/popper.min.js',
        'js/bootstrap/bootstrap.min.js',
        'https://cdn.jsdelivr.net/bxslider/4.1.1/jquery.bxslider.min.js',
        'https://unpkg.com/cookielib/src/cookie.min.js',
        'js/menu.js',
        'js/account.js',
        'js/search.js',
        'js/notification.js',
        'js/reinitialization.js'
    ];
    public $jsOptions = [
        // 'position' => View::POS_HEAD
    ];
    public $depends = [
        'yii\web\YiiAsset',
        // 'yii\bootstrap\BootstrapAsset'
    ];
}
