<link href="/css/pages/search.css" rel="stylesheet">

<div id="page_search" class="container flex-grow-1 d-flex">
    <?php if (isset($timer) && $timer > 0) : ?>

        <div class="row py-3 w-100">
            <section class="col">
                <div class="d-flex flex-column mx-auto">
                    <p class="px-2 mb-1 text-center d-flex justify-content-center">Слишком частые запросы, повторите попытку через: $timer секунд</p>
                    <small class="mb-3 text-center d-flex justify-content-center">Подождите или нажмите на кнопку вручную</small>
                    <a class="btn text-white button_clean button_blue mx-auto" title="Перезагрузить страницу" role="button" onclick="window.location.reload();">Повторить</a>
                </div>
                <script type="text/javascript">
                    setTimeout('window.location.reload()', $timer + '000');
                </script>

            <?php else : ?>
                <?php if (isset($response) && is_array($response) && $response) : ?>

                    <div class="row py-3 w-100">
                        <section class="col">

                            <?php
                            // Инициализация
                            $covr_not_found = true;
                            $i = 0;
                            $amount = count($response);
                            ?>

                            <?php foreach ($response as $row) : ?>

                                <?php
                                // Инициализация
                                extract($row);
                                $name ?? $name = 'Без названия';
                                // $dscr ?? $dscr = 'Описание';
                                $catg ?? $catg = 'Категория';
                                $covr = null;

                                foreach ($imgs ?? [] as $img) {
                                    // Перебор изображений для обложки

                                    if ($img['covr'] ?? false) {
                                        // Обложка найдена

                                        $covr = $img['h150'];

                                        break;
                                    }
                                }

                                if (is_null($covr)) {
                                    // Обложка не инициализирована

                                    if (!$covr = $imgs[0]['h150'] ?? false) {
                                        $covr = '/img/covers/h150/product.png';
                                    }
                                }

                                $supplies_html = '';
                                ?>

                                <?php foreach ($supplies as $supply) : ?>

                                    <?php
                                    // Инициализация артикула
                                    $catn = $supply['catn'] ?? $supply['onec']['Артикул'];

                                    // Инициализация цены
                                    $price_raw = $supply['prce'] ?? $supply['onec']['Цены']['Цена']['ЦенаЗаЕдиницу'];
                                    $price = $price_raw . ' ' . $supply['onec']['Цены']['Цена']['Валюта'];

                                    // Инициализация количества
                                    $amount_raw = $amount =  $supply['amnt'] ?? $supply['onec']['Количество'];

                                    if (empty($amount_raw) || $amount_raw < 1) {
                                        $amount = 'Под заказ';
                                    } else {
                                        $amount .= ' шт';
                                    }

                                    if ($amount_raw < 1 || $price_raw < 1) {
                                        // Нет в наличии или цена 0 рублей

                                        $button_cart = <<<HTML
                                            <div class="col-1 h-100 text-dark d-flex" title="Товар недоступен">

                                            </div>
                                        HTML;
                                    } else {
                                        $button_cart = <<<HTML
                                            <a class="col-1 h-100 text-dark d-flex button_white rounded" title="Добавить $catn в корзину" href="/cart" role="button" onclick="return cart_write('$catn');">
                                                <i class="fas fa-cart-arrow-down pr-1 m-auto"></i>
                                            </a>
                                        HTML;
                                    }

                                    $supplies_html .= <<<HTML
                                        <div class="row my-auto m-0 h-100 text-right">
                                            <small class="col-2 my-auto ml-auto">
                                                $amount
                                            </small>
                                            <small class="col-2 my-auto ml-1">
                                                Доставка
                                            </small>
                                            <b class="col-2 my-auto">
                                                $price
                                            </b>
                                            $button_cart
                                        </div>
                                    HTML;
                                    ?>

                                <?php endforeach ?>

                                <div class="col pb-2">
                                    <div class="row p-2 rounded">
                                        <img class="ml-0 h-100 img-fluid rounded" src="<?= $covr ?>" />
                                        <div class="col-3 ml-3 p-0 d-flex flex-column">
                                            <a class="my-auto text-dark" href="/product/<?= $catn ?>">
                                                <h5 class="m-0"><?= $name ?></h5>
                                                <h6 class="m-0"><small><?= $catn ?></small></h6>
                                            </a>
                                        </div>
                                        <div class="col-1 ml-2 p-0 d-flex flex-column">
                                            <a class="my-auto text-dark" href="/product/<?= $catn ?>">
                                                <small><?= $catg ?></small>
                                            </a>
                                        </div>
                                        <div class="col ml-2 p-0 d-flex flex-column">
                                            <?= $supplies_html ?>
                                        </div>
                                    </div>
                                </div>

                            <?php endforeach ?>

                        </section>
                    </div>

                <?php else : ?>
                    <?php if ($advanced ?? false) : ?>

                        <h1 class="m-auto gilroy text-center"><b>Ничего не найдено</b></h1>

                    <?php else : ?>

                        <div class="row py-3 w-100">
                            <section class="col">
                                <div class="d-flex flex-column mx-auto">
                                    <p class="m-0 py-2 d-flex justify-content-center">Ничего не найдено</p>
                                </div>
                            </section>
                        </div>

                    <?php endif ?>
                <?php endif ?>

            </section>
        </div>

    <?php endif ?>

</div>

<script src="/js/cart.js" defer></script>
<script src="/js/product.js" defer></script>
<?php if (
    !yii::$app->user->isGuest
    && (yii::$app->user->identity->type === 'administrator'
        || yii::$app->user->identity->type === 'moderator')
) : ?>
    <script src="/js/product_panel.js" defer></script>
<?php endif ?>